Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000234Windows Inform application[IDEs] Editingpublic2010-08-05 16:162010-10-29 09:20
ReporterTristano 
Assigned ToDavidK 
PrioritynormalSeveritymildReproducibilityhave not tried
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000234: "Renumber all sections" corrupts source text
DescriptionThe "Format > Renumber all sections" option, changes some item names into chapter names.
Minimal Source Text To Reproduce
"NATO 2020" by Tristano Ajmone

Include Italian by Massimo Stella.

Volume 1

Book 1

Part 1

Chapter 1 - IL SUQ

Suq is a room. "Il suq è affollato."

Section 1 - PERSONE


Marwan is a man in Suq. The description is "Marwan è un uomo molto alto."

 
The printed name of Marwan is "un negoziante".
 
After examining Marwan for the first time:
 now The printed name of Marwan is "Marwan".
 
 

Feyzal is a man in Suq. The description is "Feyzal è un tipo grasso."
 
 
Chapter 2 - IL BAR
 
Maqhah is north of Suq. "Il bar è pieno di persone."
 
Chapter 3 - IL BAZAR
 
Bazar is east of Suq. "IL bazar è un negozietto."
 
Chapter 4 - HOTEL
 
Hotel is south of Suq. "La reception dell'albergo è disadorna."
 
Chapter 4 - RISTORANTE
 
Ristorante is west of Suq. "Ristorante dai dubbi odori."
 
Volume 2 - LA PARTITA
 
Book 1 - PROTAGONISTA
 
A dinar is a kind of thing. The description is "Una moneta d[']oro."
 
The player carries 50 dinars.
 

Book 3 - WHEN PLAY BEGINS
 
 
When play begins:
 now the description of player is "Sei Erasmo."
Additional InformationThis is the source code after renumbering all sections:
 
****
 
"NATO 2020" by Tristano Ajmone
 
Include Italian by Massimo Stella.
 
Volume 1
Book 1
Book 1
 
Part 1 1 - IL SUQ
 
Chapter 1 oom. "Il suq è affollato."
 
Section 1 - PERSONE
 
Section 1 a man in Suq. The description is "Marwan è un uomo molto alto."
 
The printed name of Marwan is "un negoziante".
 
After examining Marwan for the first time:
 now The printed name of Marwan is "Marwan".
 

Feyzal is a man in Suq. The description is "Feyzal è un tipo grasso."
 
Chapter 2 - IL BAR
 
Maqhah is north of Suq. "Il bar è pieno di persone."
Chapter 2 - IL BAZAR
 
Bazar is east of Suq. "IL bazar è un negozietto."
 
Chapter 3 - HOTEL
 
Hotel is south of Suq. "La reception dell'albergo è disadorna."
 
Chapter 4 - RISTORANTE
 
Ristorante is west of Suq. "Ristorante dai dubbi odori."
 
Chapter 5 LA PARTITA
 
Book 1 - PROTAGONISTA
 
Volume 2 s a kind of thing. The description is "Una moneta d[']oro."
 
Book 1 yer carries 50 dinars.
 

Book 3 - WHEN PLAY BEGINS
 
When play begins:
 now the description of player is "Sei Erasmo."
Book 2
 
****
Notice that "A dinar is a kind of ..." becomes "Volume 2 s a kind of..." and other instances like that.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000384)
EmacsUser (manager)
2010-08-06 17:34

Confirmed. The source text

- - - -
Part 1

Chapter 1
- - - -

is enough for me to reproduce the bug; I get:

- - - -
Part 1
Chapter 1
Chapter 1
- - - -

as the outcome.

- Issue History
Date Modified Username Field Change
2010-08-05 16:16 jmcgrew New Issue
2010-08-05 16:16 jmcgrew Status new => acknowledged
2010-08-06 15:53 jmcgrew Reporter jmcgrew => Tristano
2010-08-06 17:34 EmacsUser Note Added: 0000384
2010-08-06 17:34 EmacsUser Status acknowledged => confirmed
2010-09-02 08:48 DavidK Assigned To => DavidK
2010-09-02 08:48 DavidK Status confirmed => assigned
2010-09-30 06:56 DavidK Status assigned => resolved
2010-09-30 06:56 DavidK Resolution open => fixed
2010-10-29 09:20 jmcgrew Fixed in Version => 6F95
2010-10-29 09:20 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker